=== debian/changelog ===
suil (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Fix encoding.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 12 Jun 2011 12:58:58 +0200

suil (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #627905).

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 May 2011 09:57:25 +0200
