=== debian/control ===
Source: suil
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libqt4-dev,
 lv2core,
 lv2-extensions-good,
 pkg-config,
 python
Standards-Version: 3.9.2
Homepage: http://drobilla.net/software/suil/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/suil.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/suil.git

Package: libsuil-dev
Section: libdevel
Architecture: all
Depends: libsuil-0-0 (>= ${source:Version}),
 libsuil-0-0 (<< ${source:Upstream-Version}+1~),
 ${misc:Depends}
Recommends: pkg-config
Description: Development files for suil
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and Qt4
 .
 This package provides the development files for suil.

Package: libsuil-0-0
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: library for loading and wrapping LV2 plugin UIs
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and Qt4
 .
 This package provides the shared library.

Package: suil-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libsuil-0-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for suil
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and Qt4.
 .
 This package contains the debugging symbols for suil.
