=== debian/watch ===
version=3
http://download.drobilla.net/suil-(.*)\.tar\.bz2
