## suil 0.4.4+dfsg0

=== debian/changelog ===
suil (0.4.4+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the waf binary (Closes: #654505).
  * Adjust the clean target to properly clean the sources.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 10:08:08 +0100
