=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
 	$(WAF)
 
 override_dh_auto_clean:
-	$(WAF) distclean
+	$(WAF) clean || true
+	find -name "*.pyc" -delete
 	rm -rf build .waf*
 	dh_auto_clean
