## suil 0.6.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -7,7 +7,7 @@
 import waflib.Logs as Logs, waflib.Options as Options
 
 # Version of this package (even if built as a child)
-SUIL_VERSION       = '0.4.4'
+SUIL_VERSION       = '0.6.0'
 SUIL_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -26,20 +26,23 @@
 out = 'build'
 
 def options(opt):
+    opt.load('compiler_c')
+    opt.load('compiler_cxx')
     autowaf.set_options(opt)
     opt.add_option('--gtk2-lib-name', type='string', dest='gtk2_lib_name',
                    default="libgtk-x11-2.0.so",
                    help="Gtk2 library name [Default: libgtk-x11-2.0.so]")
 
 def configure(conf):
-    conf.line_just = 56
+    conf.load('compiler_c')
+    conf.load('compiler_cxx')
+    conf.line_just = 46
     autowaf.configure(conf)
     autowaf.display_header('Suil Configuration')
 
-    conf.load('compiler_cc')
-    conf.env.append_value('CFLAGS', '-std=c99')
+    conf.env.append_unique('CFLAGS', '-std=c99')
 
-    autowaf.check_header(conf, 'lv2/lv2plug.in/ns/extensions/ui/ui.h')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
 
     autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                       atleast_version='2.18.0', mandatory=False)
@@ -61,7 +64,7 @@
 
     conf.env['LIB_SUIL'] = ['suil-%s' % SUIL_MAJOR_VERSION]
 
-    conf.write_config_header('suil-config.h', remove=False)
+    conf.write_config_header('suil_config.h', remove=False)
 
     autowaf.display_msg(conf, "Gtk2 Support",
                         conf.is_defined('HAVE_GTK2'))
@@ -82,10 +85,10 @@
 
     cflags    = [ '-DSUIL_SHARED',
                   '-DSUIL_INTERNAL' ]
-    linkflags = []
+    lib = []
     if sys.platform != 'win32':
-        cflags    += [ '-fvisibility=hidden' ]
-        linkflags += [ '-ldl' ]
+        cflags += [ '-fvisibility=hidden' ]
+        lib    += [ 'dl' ]
 
     module_dir = '${LIBDIR}/suil-' + SUIL_MAJOR_VERSION
 
@@ -99,7 +102,8 @@
               vnum            = SUIL_LIB_VERSION,
               install_path    = '${LIBDIR}',
               cflags          = cflags,
-              linkflags       = linkflags)
+              lib             = lib,
+              uselib          = 'LV2')
 
     if bld.is_defined('HAVE_GTK2') and bld.is_defined('HAVE_QT4'):
         obj = bld(features     = 'cxx cxxshlib',
@@ -108,7 +112,7 @@
                   includes     = ['.'],
                   install_path = module_dir,
                   cflags       = cflags)
-        autowaf.use_lib(bld, obj, 'GTK2 QT4')
+        autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')
 
         obj = bld(features     = 'cxx cxxshlib',
                   source       = 'src/qt4_in_gtk2.cpp',
@@ -116,7 +120,25 @@
                   includes     = ['.'],
                   install_path = module_dir,
                   cflags       = cflags)
-        autowaf.use_lib(bld, obj, 'GTK2 QT4')
+        autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')
+
+    if bld.is_defined('HAVE_GTK2'):
+        obj = bld(features     = 'c cshlib',
+                  source       = 'src/x11_in_gtk2.c',
+                  target       = 'suil_x11_in_gtk2',
+                  includes     = ['.'],
+                  install_path = module_dir,
+                  cflags       = cflags)
+        autowaf.use_lib(bld, obj, 'GTK2 LV2')
+
+    if bld.is_defined('HAVE_QT4'):
+        obj = bld(features     = 'cxx cxxshlib',
+                  source       = 'src/x11_in_qt4.cpp',
+                  target       = 'suil_x11_in_qt4',
+                  includes     = ['.'],
+                  install_path = module_dir,
+                  cflags       = cflags)
+        autowaf.use_lib(bld, obj, 'QT4 LV2')
 
     # Documentation
     autowaf.build_dox(bld, 'SUIL', SUIL_VERSION, top, out)
@@ -137,9 +159,9 @@
         os.chdir(build_dir(ctx, 'doc/html'))
         os.system("sed -i 's/SUIL_API //' group__suil.html")
         os.system("sed -i 's/SUIL_DEPRECATED //' group__suil.html")
+        os.system("sed -i 's/href=\"doc\/style.css\"/href=\"style.css\"/' group__suil.html")
         os.remove('index.html')
-        os.symlink('group__suil.html',
-                   'index.html')
+        os.symlink('group__suil.html', 'index.html')
         os.chdir(top)
         os.chdir(build_dir(ctx, 'doc/man/man3'))
         os.system("sed -i 's/SUIL_API //' suil.3")
