=== debian/changelog ===
suil (0.6.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Port to Multi-Arch.
  * Refresh patches.
  * Replace old LV2 build-deps with the newest lv2-dev.
  * Refresh symbols file.
  * debian/watch: Mangle dfsg suffix.
  * Update Vcs-* fields.
  * Update debian/copyright.
  * Bump dh requirement to 9.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 May 2012 02:27:22 +0200
