=== debian/control ===
--- 
+++ 
@@ -2,26 +2,30 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ debhelper (>= 9),
  libgtk2.0-dev,
  libqt4-dev,
- lv2core,
- lv2-extensions-good,
+ lv2-dev,
  pkg-config,
  python
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://drobilla.net/software/suil/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/suil.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/suil.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/suil.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/suil.git
 
 Package: libsuil-dev
 Section: libdevel
-Architecture: all
-Depends: libsuil-0-0 (>= ${source:Version}),
+Architecture: any
+Depends:
  libsuil-0-0 (<< ${source:Upstream-Version}+1~),
+ libsuil-0-0 (>= ${source:Version}),
  ${misc:Depends}
-Recommends: pkg-config
+Recommends:
+ pkg-config
+Multi-Arch: same
 Description: Development files for suil
  Suil makes it possible to load a UI of any toolkit in a host using
  any other toolkit (assuming the toolkits are both supported by
@@ -37,8 +41,11 @@
 
 Package: libsuil-0-0
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Multi-Arch: same
 Description: library for loading and wrapping LV2 plugin UIs
  Suil makes it possible to load a UI of any toolkit in a host using
  any other toolkit (assuming the toolkits are both supported by
@@ -56,7 +63,8 @@
 Architecture: any
 Priority: extra
 Section: debug
-Depends: libsuil-0-0 (= ${binary:Version}),
+Depends:
+ libsuil-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Description: Debugging symbols for suil
  Suil makes it possible to load a UI of any toolkit in a host using
