## suil 0.6.2~dfsg0

=== debian/changelog ===
suil (0.6.2~dfsg0-1) unstable; urgency=low

  * New upstream bugfix release.
  * Fix libsuil-dev's Depends field.

 -- Alessio Treglia <alessio@debian.org>  Wed, 06 Jun 2012 11:54:41 +0200
