## suil 0.6.4~dfsg0

=== wscript ===
--- 
+++ 
@@ -7,7 +7,7 @@
 import waflib.Logs as Logs, waflib.Options as Options
 
 # Version of this package (even if built as a child)
-SUIL_VERSION       = '0.6.0'
+SUIL_VERSION       = '0.6.4'
 SUIL_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -36,7 +36,7 @@
 def configure(conf):
     conf.load('compiler_c')
     conf.load('compiler_cxx')
-    conf.line_just = 46
+    conf.line_just = 40
     autowaf.configure(conf)
     autowaf.display_header('Suil Configuration')
 
@@ -54,6 +54,12 @@
 
     autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                       atleast_version='4.0.0', mandatory=False)
+
+    conf.env['NODELETE_FLAGS'] = []
+    if conf.check(linkflags = ['-Wl,-z,nodelete'],
+                  msg       = 'Checking for link flags -Wl,-z,-nodelete',
+                  mandatory = False):
+        conf.env['NODELETE_FLAGS'] = ['-Wl,-z,nodelete']
 
     autowaf.define(conf, 'SUIL_VERSION', SUIL_VERSION)
     autowaf.define(conf, 'SUIL_MODULE_DIR',
@@ -83,9 +89,8 @@
     autowaf.build_pc(bld, 'SUIL', SUIL_VERSION, SUIL_MAJOR_VERSION, [],
                      {'SUIL_MAJOR_VERSION' : SUIL_MAJOR_VERSION})
 
-    cflags    = [ '-DSUIL_SHARED',
-                  '-DSUIL_INTERNAL' ]
-    lib = []
+    cflags = [ '-DSUIL_SHARED', '-DSUIL_INTERNAL' ]
+    lib    = []
     if sys.platform != 'win32':
         cflags += [ '-fvisibility=hidden' ]
         lib    += [ 'dl' ]
@@ -119,7 +124,8 @@
                   target       = 'suil_qt4_in_gtk2',
                   includes     = ['.'],
                   install_path = module_dir,
-                  cflags       = cflags)
+                  cflags       = cflags,
+                  linkflags    = bld.env['NODELETE_FLAGS'])
         autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')
 
     if bld.is_defined('HAVE_GTK2'):
@@ -128,7 +134,8 @@
                   target       = 'suil_x11_in_gtk2',
                   includes     = ['.'],
                   install_path = module_dir,
-                  cflags       = cflags)
+                  cflags       = cflags,
+                  linkflags    = bld.env['NODELETE_FLAGS'])
         autowaf.use_lib(bld, obj, 'GTK2 LV2')
 
     if bld.is_defined('HAVE_QT4'):
@@ -147,27 +154,9 @@
     if bld.env['DOCS']:
         bld.add_post_fun(fix_docs)
 
-def build_dir(ctx, subdir):
-    if autowaf.is_child():
-        return os.path.join('build', APPNAME, subdir)
-    else:
-        return os.path.join('build', subdir)
-
 def fix_docs(ctx):
-    try:
-        top = os.getcwd()
-        os.chdir(build_dir(ctx, 'doc/html'))
-        os.system("sed -i 's/SUIL_API //' group__suil.html")
-        os.system("sed -i 's/SUIL_DEPRECATED //' group__suil.html")
-        os.system("sed -i 's/href=\"doc\/style.css\"/href=\"style.css\"/' group__suil.html")
-        os.remove('index.html')
-        os.symlink('group__suil.html', 'index.html')
-        os.chdir(top)
-        os.chdir(build_dir(ctx, 'doc/man/man3'))
-        os.system("sed -i 's/SUIL_API //' suil.3")
-        os.chdir(top)
-    except:
-        Logs.error("Failed to fix up %s documentation" % APPNAME)
+    if ctx.cmd == 'build':
+        autowaf.make_simple_dox(APPNAME)
 
 def upload_docs(ctx):
     os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/suil/")
