=== debian/changelog ===
suil (0.6.4~dfsg0-3) unstable; urgency=low

  * Pass --gtk2-lib-name="libgtk-x11-2.0.so.0" to configure to avoid
    adding the dependency on libgtk2.0-dev. Thanks to Filipe Lopes for
    pointing out this. (really closes: #682138)

 -- Alessio Treglia <alessio@debian.org>  Thu, 23 Aug 2012 15:35:43 +0200

suil (0.6.4~dfsg0-2) unstable; urgency=low

  * Install missing Gtk/Qt4 modules. (Closes: #682138)

 -- Alessio Treglia <alessio@debian.org>  Sat, 18 Aug 2012 15:49:24 +0200

suil (0.6.4~dfsg0-1) unstable; urgency=low

  * New upstream bugfix release:
    - Correctly handle resizing for GTK+2 in Qt4.
    - Small improvements to the documentation.
  * Remove 1001-dont_run_ldconfig.patch, not unnecessary thanks to the
    improvements to the buildsystem.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jul 2012 15:41:24 +0200
