=== debian/control ===
--- 
+++ 
@@ -20,8 +20,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libsuil-0-0 (<< ${source:Upstream-Version}+1~),
- libsuil-0-0 (>= ${source:Version}),
+ libsuil-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Recommends:
  pkg-config
