=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 		--prefix=/usr \
 		--mandir=/usr/share/man \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		--gtk2-lib-name="libgtk-x11-2.0.so.0" \
                 --strict \
 		--debug
