## suil 0.6.6~dfsg0

=== debian/changelog ===
suil (0.6.6~dfsg0-1) experimental; urgency=low

  * Imported Upstream version 0.6.6~dfsg0
  * Add automated mechanism to repack the tarball.

 -- Alessio Treglia <alessio@debian.org>  Thu, 22 Nov 2012 02:00:34 +0000
