=== debian/changelog ===
suil (0.6.10~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 16:01:10 +0000
