=== debian/changelog ===
suil (0.6.12~dfsg0-2) unstable; urgency=low

  * Upload to unstable.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 May 2013 08:18:06 +0200

suil (0.6.12~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 11 Mar 2013 02:22:09 +0000
