=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  lv2-dev,
  pkg-config,
  python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://drobilla.net/software/suil/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/suil.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/suil.git
