## suil 0.6.16~dfsg0

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SUIL_VERSION       = '0.6.12'
+SUIL_VERSION       = '0.6.16'
 SUIL_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -52,6 +52,8 @@
         conf.env.NODELETE_FLAGS = ['-Wl,-z,nodelete']
 
     autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.6.0',
+                      uselib_store='LV2_1_6_0', mandatory=False)
 
     autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                       atleast_version='2.18.0', mandatory=False)
@@ -184,7 +186,7 @@
                   cflags       = cflags,
                   lib          = modlib,
                   linkflags    = bld.env.NODELETE_FLAGS)
-        autowaf.use_lib(bld, obj, 'GTK2 GTK2_X11 LV2')
+        autowaf.use_lib(bld, obj, 'GTK2 GTK2_X11 LV2 LV2_1_4_3')
 
     if bld.is_defined('HAVE_GTK2') and sys.platform == 'win32':
         obj = bld(features     = 'cxx cxxshlib',
@@ -207,7 +209,7 @@
                   install_path = module_dir,
                   cflags       = cflags,
                   lib          = modlib)
-        autowaf.use_lib(bld, obj, 'QT4 LV2')
+        autowaf.use_lib(bld, obj, 'QT4 LV2 LV2_1_4_3')
 
     # Documentation
     autowaf.build_dox(bld, 'SUIL', SUIL_VERSION, top, out)
