=== debian/changelog ===
suil (0.6.16~dfsg0-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 03 Oct 2013 17:08:40 +0100

suil (0.6.14~dfsg0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.
  * Update debian/copyright.
  * Multiarchify the -DBG package.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Aug 2013 17:29:14 +0100
