=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  libgtk2.0-dev,
@@ -62,6 +63,7 @@
 Architecture: any
 Priority: extra
 Section: debug
+Multi-Arch: same
 Depends:
  libsuil-0-0 (= ${binary:Version}),
  ${misc:Depends}
