## suil 0.8.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SUIL_VERSION       = '0.6.16'
+SUIL_VERSION       = '0.8.0'
 SUIL_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -31,9 +31,9 @@
                    help="Gtk2 library name [Default: libgtk-x11-2.0.so.0]")
 
 def configure(conf):
+    conf.line_just = 40
     conf.load('compiler_c')
     conf.load('compiler_cxx')
-    conf.line_just = 40
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Suil Configuration')
