=== debian/changelog ===
suil (0.8.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Switch to bz2.
  * Install NEWS file as upstream changelog.
  * Update symbols file.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 03 May 2014 13:24:32 +0100
