=== debian/changelog ===
suil (0.8.2~dfsg0-1) unstable; urgency=medium

  * New upstream release.
  * Tuned get-orig-source.
  * Removed old repack scripts.
  * Compression xz.
  * Remove --debug from configure to cppflags be passed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 15 Aug 2014 16:26:15 +0100
