=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,7 @@
 		--mandir=/usr/share/man \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--gtk2-lib-name="libgtk-x11-2.0.so.0" \
-                --strict \
-		--debug
+                --strict
 
 override_dh_auto_build:
 	$(WAF)
@@ -51,4 +50,6 @@
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	xz -9fz $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
-
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2
+	rm $(pkg)_$(dfsg_version).orig.tar.bz2
