=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/suil-(.*)\.tar\.bz2 \
	debian sh debian/repack.stub
